### Method

# Gtk Gridattach_next_to

#### Declaration [src]

    void
    gtk_grid_attach_next_to (
      GtkGrid* grid,
      GtkWidget* child,
      GtkWidget* sibling,
      GtkPositionType side,
      int width,
      int height
    )

#### Description [src]

Adds a widget to the grid.

The widget is placed next to `sibling`, on the side determined by `side`. When `sibling` is `NULL`, the widget is placed in row (for left or right placement) or column 0 (for top or bottom placement), at the end indicated by `side`.

Attaching widgets labeled `[1]`, `[2]`, `[3]` with `sibling` == `NULL` and `side` == `GTK_POS_LEFT` yields a layout of `[3][2][1]`.

#### Parameters

`child`

  Type: `GtkWidget`

  The widget to add.

  The data is owned by the caller of the method.

`sibling`

  Type: `GtkWidget`

  The child of `grid` that `child` will be placed next to, or `NULL` to place `child` at the beginning or end.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`side`

  Type: `GtkPositionType`

  The side of `sibling` that `child` is positioned next to.

`width`

  Type: `int`

  The number of columns that `child` will span.

`height`

  Type: `int`

  The number of rows that `child` will span.